// Copyright (C) 1996 Fu-Ren Lin
// Dispatching.h
// Dispatching agent, pull component from Inv to dispatchList according
// to builtPlan

#import "global.h"
#import "InventoryManagement.h"
#import "Factory.h"
#import "ProductionPlanning.h"
#import "MaterialPlanning.h"
#import "Trace.h"

@interface Dispatching: SwarmObject {
 id <List> workOrders;
 id  prdPlanningAgent;
 id  factoryAgent;
 id  scnEntity;
 id  invAgent;
 id  mrpAgent;
 
 id  traceAgent;
}

+create: (id) aZone;
-process;

-setInvAgent: (id) agent;
-setPrdPlanningAgent: (id) agent;
-setFactoryAgent: (id) agent;
-setScnEntity: (id) agent;
-setMrpAgent: (id) agent;
-setTraceAgent: (id) agent;
@end
