//Copyright (C) 1996 Fu-ren Lin
//OFPStatSwarm.m

#import "OFPStatSwarm.h"

@implementation OFPStatSwarm
+create: (id) aZone {
  OFPStatSwarm * newOfpS;

  newOfpS = [super create: aZone];
  return newOfpS;
}

-buildObjects {
 [super buildObjects];
 trace = [Trace create: [self getZone]]; 
 return self;
}

//---------------
-buildActions {
 id <Array> scnEArray;

 if ((freport = fopen(reportFile, "w")) == NULL) 
   [SourceMessage raiseEvent: "Error in opening file reportFile.\n"];
 fprintf(freport, "*** %s \n", Notes);
 fprintf(freport, "Scn#  CycT FR InvC  CapU  E/D  E/W  T/D  T/W@\n");

  [super buildActions];
  statActions = [ActionGroup create: [self getZone]];
  scnEArray = [ofpModel getScnEArray];
  
  [statActions createActionForEach: scnEArray
               message: M(statProcess)];

  statSchedule = [Schedule create: [self getZone]];
  [statSchedule at: (endDay*UNIT)-1 createAction: statActions];
  

  return self;
}

//-----------------
-activateIn: (id) swarmContext {
  [super activateIn: swarmContext];
  [statSchedule activateIn: self];
  return [self getSwarmActivity];
}

// set OFPModelSwarm
-setOfpModel: (id) agent {
 ofpModel = agent;
 return self;
}
 
@end





