// Copyright (C) 1996 Fu-Ren Lin
// CapacityPlanning.h is a physical agent performing manufacturing

#import "global.h"
#import "SCNEntitySwarm.h"
#import "ProductionPlanning.h"
#import "MaterialPlanning.h"
#import "Trace.h"

@interface CapacityPlanning: SwarmObject {
 id <List> usedCapList;

 id  prdPlanningAgent;
 id  scnEntity;

 id  traceAgent;
}

+create: (id) aZone;
-initialCap;
-checkCapacity: (Order *) mfgOrder;
-allocateCapacity: (id) planList;
-reviseCapAllocation: (id) oldPlanList earliest: (float) startTime wrt: (int)YesNo;
-(int) pointToUsedCapList: (float) aTime;

-setPrdPlanningAgent: (id) agent;
-setScnEntity: (id) agent;
-setTraceAgent: (id) agent;
@end

