// Copyright (C) 1996 Fu-Ren Lin
//OFPModelSwarm.h

#import "global.h"
#import "SCNEntitySwarm.h"
#import "Trace.h"

@interface OFPModelSwarm: Swarm {
  id <Array> scnEArray;
  id <Array> compArray;
  id printClockSchedule;
  id traceAgent;
}

+create: (id) aZone;
-buildObjects;
-buildActions;
-activateIn: (id) swarmContext;

-getConfigFiles: (char *) configFile;
-getScnConfig;
-skipComments: (FILE *) filePoint;
-printForDebug;
-initialization;
-getCompList: (int) prodId;
-allocateEntity: (int) anId;
-getScnEArray;
-printClock;
@end




