// Copyright (C) 1996 Fu-Ren Lin

#import <swarmobject.h>
#import <space.h>
#import <activity.h>
#import <tkobjc.h>
#import <collections.h>
#import <simtools.h>
#import "OFPModelSwarm.h"

@interface OFPObserverSwarm: GUISwarm {
  int displayFrequency;				  // one parameter: update freq

  id displayActions;				  // schedule data structs
  id displaySchedule;

  OFPModelSwarm * ofpModelSwarm;	  // the Swarm we're observing

  // Lots of display objects. First, widgets
  
  BLTGraph *mflowGraph, *iflowGraph;
  GraphElement *materialElement, *infoElement;
  ActiveGraph  *mflowGrapher, *iflowGrapher;
  
}

// Methods overriden to make the Swarm.
+createBegin: (id) aZone;
-createEnd;
-buildObjects;
-buildActions;
-activateIn: (id) swarmContext;

@end
