// Copyright (C) 1996 Fu-Ren Lin
// Public.m

#import "Public.h"

// order object
@implementation Order 	
-copy: (id) aZone {
Order * anOrder;

anOrder = [Order create:aZone];
anOrder->itemId = self->itemId;
anOrder->itemQ = self->itemQ;
anOrder->ordArrTime = self->ordArrTime;
anOrder->wantDate = self->wantDate;
anOrder->dueDate = self->dueDate;
anOrder->senderId = self->senderId;

return anOrder;
}
@end

// part object
@implementation Part
-copy: (id) aZone {
 Part * aPart;
 
 aPart = [Part create: aZone];
 aPart->partId = self->partId;
 aPart->partQ  = self->partQ;
 aPart->partArrTime = self->partArrTime;

 return aPart; 
}
@end

// plan object
@implementation Plan 
-copy: (id) aZone {
Plan * aPlan;

 aPlan = [Plan create: aZone];
 aPlan->prodId = self->prodId;
 aPlan->prodQ  = self->prodQ;
 aPlan->scheduledStart = self->scheduledStart;
 aPlan->finishedTime = self->finishedTime;
 aPlan->mrpMark = self->mrpMark;

 return aPlan;
}
@end

// component object
@implementation Components 
@end

// time object
@implementation Ttime 
@end

// prodId object
@implementation IdNo 
@end

// inventory cost
@implementation INV
@end
@implementation OrdCost
@end
@implementation InvCost
@end

// for dynamic resource allocatoin
@implementation Query
@end;
@implementation Bid
-copy: (id) aZone {
 Bid * aBid;
 
 aBid = [Bid create: [self getZone]];
 aBid->queryId = self->queryId;
 aBid->prodId = self->prodId;
 aBid->prodQ = self->prodQ;
 aBid->marginalC = self->marginalC;
 aBid->prodDeliverT = self->prodDeliverT;
 aBid->bidArrTime = self->bidArrTime;
 aBid->senderId = self->senderId;
 return aBid;
}
@end

@implementation QueryRec
@end
@implementation Evaluation
@end
@implementation Capacity
@end

// for downInfoSharing
@implementation DemandQuery
-copy: (id) aZone {
DemandQuery * aQuery;

 aQuery = [DemandQuery create: aZone];
 aQuery->prodId = self->prodId;
 aQuery->startTime = self->startTime;
 aQuery->endTime = self->endTime;
 aQuery->queryLayer = self->queryLayer;

 return aQuery;
}
@end

