// Copyright (C) 1996 Fu-Ren Lin
// main.m		

#import "global.h"
#import "OFPBatchSwarm.h"

int main(int argc, char * argv[]) {
  
//OFPObserverSwarm * observerSwarm;
  OFPBatchSwarm * batchSwarm;

  if (argc != 10) 
    [SourceMessage raiseEvent: "Error in command format"];

  strcpy(config, argv[1]);
  strcpy(policyFile, argv[2]);
  strcpy(strategyFile, argv[3]);
  strcpy(orderFile, argv[4]);
  strcpy(partFile, argv[5]);
  strcpy(debugFile, argv[6]);
  strcpy(reportFile, argv[7]);
  endDay = atof(argv[8]);
  strcpy(Notes, argv[9]);

  // Swarm initialization: all Swarm apps must call this first.
  initSwarm(argc, argv);

 // No graphics - make a batchmode swarm and run it.

    batchSwarm = [OFPBatchSwarm create: globalZone];
    [batchSwarm buildObjects];
    //printf("checkpoint 1.1\n");

    [batchSwarm buildActions];
    //printf("checkpoint 1.2\n");

    [batchSwarm activateIn: nil];
    //printf("checkpoint 1.3\n");

    [batchSwarm go];
 

  // The toplevel swarm has finished processing, so it's time to quit.
  return 0;
}










