// Copyright (C) 1996 Fu-Ren Lin
// main.m		

#import "global.h"
#import "OFPBatchSwarm.h"

int main(int argc, char * argv[]) {
  
//OFPObserverSwarm * observerSwarm;
  OFPBatchSwarm * batchSwarm;
  int mode;

  if (argc != 2) 
    [SourceMessage raiseEvent: "Error in command format"];

  mode = atoi(argv[1]);
  strcpy(configFile, argv[2]);
  
  // Swarm initialization: all Swarm apps must call this first.
  initSwarm(argc, argv);

  //---for testing batch mode use-----
/*  if (mode != 2) {
    printf(" Please set mode = 2 for BatchMode \n");
    exit(1);
  }
*/  
/*  if (mode == 1) {
    // We've got graphics, so make a full ObserverSwarm to get GUI objects
    observerSwarm = [OFPObserverSwarm create: globalZone];
    [observerSwarm buildObjects];
    [observerSwarm buildActions];
    [observerSwarm activateIn: nil];
    [observerSwarm go];
  } 
  else if (mode == 2) { */
 // No graphics - make a batchmode swarm and run it.

    batchSwarm = [OFPBatchSwarm create: globalZone];
    [batchSwarm buildObjects];
    //printf("checkpoint 1.1\n");

    [batchSwarm buildActions];
    //printf("checkpoint 1.2\n");

    [batchSwarm activateIn: nil];
    //printf("checkpoint 1.3\n");

    [batchSwarm go];
 

  // The toplevel swarm has finished processing, so it's time to quit.
  return 0;
}










